Package org.htmlunit.html

# Class DomCDataSection

java.lang.Object
org.htmlunit.html.DomNode
org.htmlunit.html.DomCharacterData
org.htmlunit.html.DomText
org.htmlunit.html.DomCDataSection

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CDATASection`, `CharacterData`, `Node`, `Text`

public class DomCDataSection extends DomText implements CDATASection
Representation of a CDATA node in the HTML DOM.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.htmlunit.html.DomNode

  `DomNode.ChildIterator, DomNode.DescendantDomElementsIterator, DomNode.DescendantDomNodesIterator, DomNode.DescendantElementsIterator<T extends DomNode>, DomNode.DescendantHtmlElementsIterator`

- ## Field Summary

  ### Fields inherited from class org.htmlunit.html.DomText

  `NODE_NAME`

  ### Fields inherited from class org.htmlunit.html.DomNode

  `PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

  ### Fields inherited from interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomCDataSection(SgmlPage page, String data)`
  Creates a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DomText`
  `createSplitTextNode(int offset)`
  Creates a new text node split from another text node.
  `String`
  `getNodeName()`
  `short`
  `getNodeType()`
  `protected void`
  `printXml(String indent, PrintWriter printWriter)`
  Recursively writes the XML data for the node tree starting at `node`.

  ### Methods inherited from class org.htmlunit.html.DomText

  `acceptChar, cloneNode, doType, doType, getWholeText, isElementContentWhitespace, moveSelectionToEnd, replaceWholeText, setPrefix, splitText, toString`

  ### Methods inherited from class org.htmlunit.html.DomCharacterData

  `appendData, deleteData, getCanonicalXPath, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, setTextContent, substringData`

  ### Methods inherited from class org.htmlunit.html.DomNode

  `addCharacterDataChangeListener, addDomChangeListener, appendChild, asNormalizedText, asXml, basicRemove, checkChildHierarchy, closest, compareDocumentPosition, detach, fireCharacterDataChanged, fireNodeAdded, fireNodeDeleted, getAncestors, getAttributes, getBaseURI, getByXPath, getByXPath, getChildNodes, getChildren, getDescendants, getDomElementDescendants, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstByXPath, getFirstChild, getHtmlElementDescendants, getHtmlPageOrNull, getIndex, getLastChild, getLocalName, getNamespaceURI, getNextElementSibling, getNextSibling, getOwnerDocument, getPage, getParentNode, getPrefix, getPreviousElementSibling, getPreviousSibling, getReadyState, getScriptableObject, getSelectorList, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, getVisibleText, handles, hasAttributes, hasChildNodes, hasFeature, insertBefore, insertBefore, isAncestorOf, isAncestorOfAny, isAttachedToPage, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, mayBeDisplayed, normalize, notifyIncorrectness, onAddedToDocumentFragment, onAddedToPage, onAllChildrenAddedToPage, parseHtmlSnippet, printChildrenAsXml, processImportNode, querySelector, querySelectorAll, quietlyRemoveAndMoveChildrenTo, remove, removeAllChildren, removeCharacterDataChangeListener, removeChild, removeDomChangeListener, replace, replaceChild, setEndLocation, setParentNode, setReadyState, setScriptableObject, setStartLocation, setUserData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.w3c.dom.CharacterData

  `appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

  ### Methods inherited from interface org.w3c.dom.Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

  ### Methods inherited from interface org.w3c.dom.Text

  `getWholeText, isElementContentWhitespace, replaceWholeText, splitText`

- ## Constructor Details

  - ### DomCDataSection

    public DomCDataSection(SgmlPage page, String data)
    Creates a new instance.
    Parameters:
      `page` - the Page that contains this element
      `data` - the string data held by this node

- ## Method Details

  - ### getNodeType

    public short getNodeType()
    Specified by:
      `getNodeType` in interface `Node`
    Overrides:
      `getNodeType` in class `DomText`
    Returns:
      the node type constant, in this case `Node.CDATA_SECTION_NODE`

  - ### getNodeName

    public String getNodeName()
    Specified by:
      `getNodeName` in interface `Node`
    Overrides:
      `getNodeName` in class `DomText`
    Returns:
      the node name, in this case `DomText.NODE_NAME`

  - ### printXml

    protected void printXml(String indent, PrintWriter printWriter)
    Recursively writes the XML data for the node tree starting at `node`.
    Overrides:
      `printXml` in class `DomText`
    Parameters:
      `indent` - white space to indent child nodes
      `printWriter` - writer where child nodes are written

  - ### createSplitTextNode

    protected DomText createSplitTextNode(int offset)
    Creates a new text node split from another text node. This method allows the derived type of the new text node to match the original node type.
    Overrides:
      `createSplitTextNode` in class `DomText`
    Parameters:
      `offset` - the character position at which to split the DomText node
    Returns:
      the newly created Text node